Author Topic: How to fit a mtext?  (Read 1259 times)

0 Members and 1 Guest are viewing this topic.

masoud_123

  • Guest
How to fit a mtext?
« on: November 23, 2014, 07:03:53 AM »
I was wondering if it is possible to fit a mtext entity in a place by knowing the height and width of that place?
How we can adjust mtext height to fit in that place in entmake mtext?
Code: [Select]
(entmake
(list
'(0 . "MTEXT")
'(102 . "{ACAD_REACTORS")
'(102 . "}")
'(100 . "AcDbEntity")
'(100 . "AcDbMText")
(cons 10 insertion_point)
(cons 40 text_height)
                (cons 62 4)
(cons 41 refrence_rectangle_width)
'(42 . 2.55)
'(43 . 0.18)
'(44 . 1.0)
'(71 . 5)
'(72 . 1)
(cons 1  "Your string hear")
'(7 . "Text Style")
'(210 0.0 0.0 1.0)
'(11 1.0 0.0 0.0)
'(50 . 0.0)
'(73 . 1)
         )
  )